nn.pp.rccore

## Class IncompatibleVncProtocolVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - nn.pp.rccore.RCException
      - - nn.pp.rccore.IncompatibleProtocolVersionException
        - - nn.pp.rccore.IncompatibleVncProtocolVersionException

- All Implemented Interfaces:
    java.io.Serializable

      public class IncompatibleVncProtocolVersionException
      extends IncompatibleProtocolVersionException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncompatibleVncProtocolVersionException()` Create an instance of the incompatible protocol exception.
    `IncompatibleVncProtocolVersionException(java.lang.String message)` Create an instance of the incompatible protocol exception.
    `IncompatibleVncProtocolVersionException(java.lang.String message, java.lang.Throwable cause)` Create an instance of the incompatible protocol exception.
    `IncompatibleVncProtocolVersionException(java.lang.Throwable cause)` Create an instance of the incompatible protocol exception.

  - ### Method Summary

    - ### Methods inherited from class nn.pp.rccore.RCException

      `getErrorCode, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompatibleVncProtocolVersionException

          public IncompatibleVncProtocolVersionException()

      Create an instance of the incompatible protocol exception.

    - #### IncompatibleVncProtocolVersionException

          public IncompatibleVncProtocolVersionException(java.lang.String message)

      Create an instance of the incompatible protocol exception.
      Parameters:
        `message` - the detail message

    - #### IncompatibleVncProtocolVersionException

          public IncompatibleVncProtocolVersionException(java.lang.String message,
                                                         java.lang.Throwable cause)

      Create an instance of the incompatible protocol exception.
      Parameters:
        `message` - the detail message
        `cause` - the cause

    - #### IncompatibleVncProtocolVersionException

          public IncompatibleVncProtocolVersionException(java.lang.Throwable cause)

      Create an instance of the incompatible protocol exception.
      Parameters:
        `cause` - the cause

Copyright © 2025 Raritan Inc. All Rights Reserved.